<?php  
include "../config/conn.php";
//koneksi1_buka();
$sql="select lat,lng,nama_lokasi,id_tipe from m_lokasi WHERE 1=1 AND id_bbws=1";
$koordinat="";
function parseToXML($htmlStr)
{
$xmlStr=str_replace('<','&lt;',$htmlStr);
$xmlStr=str_replace('>','&gt;',$xmlStr);
$xmlStr=str_replace('"','&quot;',$xmlStr);
$xmlStr=str_replace("'",'&#39;',$xmlStr);
$xmlStr=str_replace("&",'&amp;',$xmlStr);
return $xmlStr;
}

$result = mysql_query($sql);
if (!$result) {
 die('Invalid query: ' . mysql_error());
}

header("Content-type: text/xml");

// Memulai XML dengan mencetak parent marker
echo '<markers>';

// Melakukan pengulangan untuk setiap node dibawah parent marker
while ($row = @mysql_fetch_assoc($result)){
 // Menambahkan kedalam XML
 echo '<marker ';
 echo 'nama_lokasi="' . parseToXML($row['nama_lokasi']) . '" ';
 echo 'lat="' . $row['lat'] . '" ';
 echo 'lng="' . $row['lng'] . '" ';
 echo 'id_tipe="' . $row['id_tipe'] . '" ';
 echo '/>';
}

// End XML
echo '</markers>';
//koneksi1_tutup();
?>